package de.teleportsuite.models;

import java.util.UUID;

public class Warp {
    private final String name;
    private final TeleportLocation location;
    private final UUID creator;
    private final String permission;

    public Warp(String name, TeleportLocation location, UUID creator, String permission) {
        this.name = name; this.location = location;
        this.creator = creator; this.permission = permission;
    }

    public String getName() { return name; }
    public TeleportLocation getLocation() { return location; }
    public UUID getCreator() { return creator; }
    public String getPermission() { return permission; }
}
